<ion-header>
  <ion-toolbar>
    <ion-icon slot="start" name="chevron-back-outline" class=""  routerLink="/app/tabs/home"></ion-icon>
    <ion-title class="ion-text-center">
      Post Details
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col size="12" sizeLg="9"  class="ion-align-self-center">
        <div class="content-center-w">
          <!-- <h1> No Posts Available.</h1> -->
        </div>
        </ion-col>
      <ion-col size="12" sizeLg="9"  class="ion-align-self-center">
        <div class="content-center-w">
          <ng-container>
            <ion-item lines="none" style="margin-top: 15px;">
              <ion-avatar slot="start">
                <img src="https://gravatar.com/avatar/dba6bae8c566f9d4041fb9cd9ada7741?d=identicon&f=y">
              </ion-avatar>
              <ion-label style="padding: 0 0.5rem;">
                <h3>{{postDetails?.Moderator?.first_name}} {{postDetails?.Moderator?.last_name}}</h3>
                <p><img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                  <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                  <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                  <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                  <img class="trading-icon" src="/assets/icon/Trading-3.svg" alt="trading">
                </p>
              </ion-label>
              <div class="ion-text-right" style="color: #777777; font-size: .8rem;">
                <ul>
                  <li>{{postDetails?.createdAt | date:"mediumDate"}}</li>
                </ul>
    
              </div>
    
            </ion-item>
            <div class="page-info home-content">
              <div class="ion-padding text-content">
                <h1>{{postDetails?.title}}</h1>
                <div [innerHtml]="postDetails.description" *ngIf="postDetails?.description">
    
                </div>
    
              </div>
    
    
              <div class="banner-img" *ngIf="postDetails?.file">
                <img src="{{postDetails.file}}" alt="">
              </div>
    
    
              <ion-footer class="ion-no-border ion-padding">
                <div class="bottom-align-item">
                  <ion-button color="primary">
                    <img src="../../assets/icon/ic_thumb_up_24px-1.svg" alt="">&nbsp;<span>&nbsp;Like</span>
                  </ion-button>
    
    
                  <ion-button color="success"  >
                    <img src="../../assets/icon/Component 17 – 1.svg" alt="">&nbsp;<span>{{comments?.length}} Comments</span>
                  </ion-button>
    
                  <ion-button color="danger" (click)="share()">
                    <img  src="../../assets/icon/Path 58-1.svg" alt="">&nbsp;<span>Share</span>
                  </ion-button>
                </div>
    
    
    
    
              </ion-footer>
            </div>
    
          </ng-container>
    
        </div>
      </ion-col>
    </ion-row>
  </ion-grid>
 

 <div style="max-width: 76%;margin: 0 auto;" >
    <!-- comment section -->
  <ion-item>
    <ion-label>{{comments?.length}} comments</ion-label>
    <ion-label slot="end">Most relevant <img src="../../assets/icon/Component 12 – 2.svg" alt=""></ion-label>
  </ion-item>

  <!-- comment card - 1-->
  <ion-card *ngFor="let item of comments; let i=index" style="margin-bottom: 10px;">
    <ion-item>
      <ion-avatar slot="start">
        <img src="https://gravatar.com/avatar/dba6bae8c566f9d4041fb9cd9ada7741?d=identicon&f=y">
      </ion-avatar>
      &nbsp;
      <ion-label>
        <h3>User @ name</h3>
      </ion-label>
      <ion-label>
        <p>  {{item?.createdAt | date:'short'}}</p>
      </ion-label>
    </ion-item>
    <ion-card-content>
     {{item?.comment}} 
    </ion-card-content>
    <ion-textarea  [(ngModel)]="childComment" *ngIf="!item.post_id" rows="1" cols="20" placeholder="Enter any notes here..."> </ion-textarea>
   <div style="text-align: right;padding-right: 20px;">
    <ion-label   *ngIf="!item.post_id"> <img class="cursor-pointer"  (click)="postComment(item)" src="../../assets/icon/Component 15 – 1.svg" alt=""> </ion-label>
   </div>
    
    <ion-footer style="padding: 10px;">
      <ion-row>
        
        <ion-col center text-center>
          <ion-button (click)="item.post_id = !item.post_id" color="success" fill="outline">
            <img src="../../assets/icon/ic_reply_all_24px-1.svg" alt="outline">
          </ion-button>
        </ion-col>
      </ion-row>
    </ion-footer>
  </ion-card>
 </div>

  


</ion-content>
  <!-- comment flyer card -->
<div style="width: 76%;margin: 0 auto;">
  <ion-footer>
    <ion-card style="display: flex;align-items: center;vertical-align: middle;">
     
        <ion-avatar slot="start">
          <img src="https://gravatar.com/avatar/dba6bae8c566f9d4041fb9cd9ada7741?d=identicon&f=y">
        </ion-avatar>
       
          <ion-input [(ngModel)]="comment" placeholder="write comment"></ion-input>
      
        <ion-label> <img class="cursor-pointer"  (click)="postComment(null)" src="../../assets/icon/Component 15 – 1.svg" alt=""> </ion-label>
    
    </ion-card>
  
  </ion-footer>
</div>